function dumpEpsonTagData(ifd, output, is_motorola) {
	var tagnum;
	for (var t in ifd) {
		if (t.match(/^x[0-9A-Fa-f]{4}$/)) {
			tagnum = parseInt('0' + t, 16);
			var data = ifd[t];
			output.push(getEpsonInterpretedTagData(tagnum, data));
		}
	}
}	// dumpEpsonTagData()

function getEpsonInterpretedTagData(tagnum, data) {
	return getOlympusInterpretedTagData(tagnum, data);
/*
	var output = new Array();
	switch (tagnum) {
	default:
		output.push('Unknown (0x' + tagnum.toString(16) + ') = ' + data);
		break;
	} 
	return output.join('<' + exifasr_xml0 + 'br' + exifasr_xml1 + '>');
*/
}	// getEpsonInterpretedTagData()
