function dumpPentaxAsahiTagData(ifd, output, is_motorola) {
	var tagnum;
	for (var t in ifd) {
		if (t.match(/^x[0-9A-Fa-f]{4}$/)) {
			tagnum = parseInt('0' + t, 16);
			var data = ifd[t];
			switch (ifd.maker_type) {
			case 1:
				output.push(getPentaxAsahiInterpretedTagData1(tagnum, data));
				break;
			case 2:
				output.push(getPentaxAsahiInterpretedTagData2(tagnum, data));
				break;
			}
		}
	}
}	// dumpPentaxAsahiTagData()

function getPentaxAsahiInterpretedTagData1(tagnum, data) {
	var output = new Array();
	switch (tagnum) {
	default:
		output.push('Unknown (0x' + tagnum.toString(16) + ') = ' + data);
		break;
	} 
	return output.join('<' + exifasr_xml0 + 'br' + exifasr_xml1 + '>');
}	// getPentaxAsahiInterpretedTagData1()

function getPentaxAsahiInterpretedTagData2(tagnum, data) {
	return getCasioInterpretedTagData2(tagnum, data);
/*
	var output = new Array();
	switch (tagnum) {
	default:
		output.push('Unknown (0x' + tagnum.toString(16) + ') = ' + data);
		break;
	} 
	return output.join('<' + exifasr_xml0 + 'br' + exifasr_xml1 + '>');
*/
}	// getPentaxAsahiInterpretedTagData2()

